Android development on Ubuntu 12.10 64-bit

Yes, like many people I have a 64 bit Ubuntu 12.10 and I wanted to get my Android eclipse development environment running. Everything I read (mostly the android developers guide) said install ia32-libs. Well I didn’t want to install all that baggage.

So… the minimum i’ve needed to install so far is :

sudo apt-get install eclipse libgl1-mesa-dev:i386 libsdl1.2debian:i386 libncurses5:i386

and the associate dependencies they drag on – it’s a bit, but nowhere near as much as ia32-libs.

It’s working so far, only time will tell what else I need to install.

Let me know if you’ve tried similar and i’m doomed to install ia32-libs anyway 😉

It’s also very nice to note that Ubuntu 12.10 comes with a suitable eclipse in the standard repositories so there’s no need to download from eclipse and install manually.

Advertisements